#pragma once

#ifdef __linux__
#include "d3d11.h"
#endif

b32 _InitRenderer(Arena *arena);
void _DestroyRenderer();
b32 _BeginFrame();
b32 _DrawTriangle();
b32 _FinishFrame();
void _SetRenderResolution(u32 x, u32 y);
static void DrawGUI(GUIContext *ctx);
